Swagger::ExternalDocumentationObject Class Reference

Allows referencing an external resource for extended documentation. More...

Inheritance diagram for Swagger::ExternalDocumentationObject:
[legend]

## Public Member Functions

| constructor (hash oh)
| Constructor. More...
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash oh)
| Constructor. More...
| constructor (ObjectBase other)
| copy constructor
| initialize (hash oh)
| Initialize. More...

## Public Attributes

*string | desc
| A short description of the target documentation. GFM syntax can be used for rich text representation.
string | url
| Required. The URL for the target documentation. Value MUST be in the format of a URL.
Public Attributes inherited from Swagger::ObjectBase
hash | vendorExtensions
| Allows extensions to the Swagger Schema. More...

## Detailed Description

Allows referencing an external resource for extended documentation.

## Member Function Documentation

## constructor()

Swagger::ExternalDocumentationObject::constructor | ( | hash | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description providing a reference to external documentation

Exceptions

  INVALID-FIELD-TYPE | field has invalid type
  REQUIRED-FIELD-MISSING | required field is missing